Package org.gradle.api.attributes.java

# Interface TargetJvmVersion

public interface TargetJvmVersion
Represents the target version of a Java library or platform. The target level is expected to correspond to a Java platform version number (integer). For example, "5" for Java 5, "8" for Java 8, or "11" for Java 11.

Since:
  5.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Attribute<Integer>`
  `TARGET_JVM_VERSION_ATTRIBUTE`
  The minimal target version for a Java library.

- ## Field Details

  - ### TARGET_JVM_VERSION_ATTRIBUTE

    static final Attribute<Integer> TARGET_JVM_VERSION_ATTRIBUTE
    The minimal target version for a Java library. Any consumer below this version would not be able to consume it.